use strict;
use vars qw(%CONFIG %VARS);

sub amazon {
	my ($mode) = @_; 
	my $out;
	$mode = "books" unless(defined($mode));

	if($VARS{'PAGE_TYPE'} eq "cat"){
		$VARS{'RAW_CURRENT_CAT'} =~ m#([^/]*)$#;
		my $temp1 = $1;
		$temp1 =~ s#_#\+#g;
		$VARS{'CURRENT_CAT'} =~ m#([^/]*)$#;
		my $temp2 = $1;
		$out = qq!<a href="http://www.amazon.com/exec/obidos/external-search/?mode=$mode\&keyword=$temp1\&tag=$CONFIG{'AMAZON_ASSOCIATES_ID'}">$temp2</a>!;
	}
	elsif($VARS{'PAGE_TYPE'} eq "search"){
		$out = qq!<a href="http://www.amazon.com/exec/obidos/external-search/?mode=$mode\&keyword=$VARS{'RAW_SEARCH_STRING'}\&tag=$CONFIG{'AMAZON_ASSOCIATES_ID'}">$VARS{'SEARCH_STRING'}</a>!;
	}
	
	return $out;
}

1;
