
######################  
# Copyright  2000 Portal Scripts.
# All Rights Reserved.  
#                       
# The original developer of this software module and his/her company, the subsequent
# editors and their companies, have no liability for use of this
# software module or modifications thereof in an implementation.
#                       
# Permission to use, copy, and modify this software and its documentation on
# the server of the customer is hereby granted, provided that the above copyright
# notice, this paragraph and the following two paragraphs appear in all
# copies.               
#                       
# This software program and documentation are copyrighted by Portal Scripts. 
# The software program and documentation are supplied "as is", without any 
# accompanying services. Portal Scripts does not 
# warrant that the operation of the program will be
# uninterrupted or error-free.
#                       
# IN NO EVENT SHALL PORTAL SCRIPTS BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
# LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION.
#                       
######################  

use strict;
use vars qw(%CONFIG);

sub editorextract {
	my $odpurl = shift(@_);
	my ($html) = spider_url($odpurl);
	$html =~ s#href="/cgi-bin/send\.cgi#<a href="http://dmoz.org/cgi-bin/send.cgi#igs;
	$html =~ s#<a href="/#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?/#igs;
	$html =~ m#(<font size="\+1"><b>Editor:.*</blockquote>)#is;
	$html = $1;
	
	unless($CONFIG{'MAIN_SUB_CATEGORY'} eq ""){
		my $temp = $CONFIG{'MAIN_SUB_CATEGORY'};
		$temp =~ s#/?[^/]*$##;
		$temp =~ s#/#: #g;
		$html =~ s#$temp: ([^<]*?(</b>)?</a>)#$1#gis;
	}
	return $html;
}

1;
