######################  
# Copyright  2000 Portal Scripts.
# All Rights Reserved.  
#                       
# The original developer of this software module and his/her company, the subsequent
# editors and their companies, have no liability for use of this
# software module or modifications thereof in an implementation.
#                       
# Permission to use, copy, and modify this software and its documentation on
# the server of the customer is hereby granted, provided that the above copyright
# notice, this paragraph and the following two paragraphs appear in all
# copies.               
#                       
# This software program and documentation are copyrighted by Portal Scripts. 
# The software program and documentation are supplied "as is", without any 
# accompanying services. Portal Scripts does not 
# warrant that the operation of the program will be
# uninterrupted or error-free.
#                       
# IN NO EVENT SHALL PORTAL SCRIPTS BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
# LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION.
#                       
######################  

use strict;
use vars qw(@url_refs $flock);



sub execute_cgi {
	my ($cgi) = @_;
	use Cwd;
	my $cur_dir = cwd;
	my $cgi_dir = $cgi;
	$cgi_dir =~ s#[^/]*$##;
	chdir($cgi_dir);
	my $temp = `perl $cgi`;
	$temp =~ s#Content-type: text/html##i;
	chdir($cur_dir);
	return $temp;
}

sub transfer_content {
	my ($file) = @_;
	undef $/;
	open(FILE, $file);
	flock(FILE, 2) if($flock);
	my $content = <FILE>;
	flock(FILE, 8) if($flock);
	close($file);
	$/ = "\n";
	return $content;
}

sub get_remote{
	my ($url) = @_;
	my ($html) = spider_url($url );
	return $html;

}

1;
