######################  
# Copyright  2000 Portal Scripts.
# All Rights Reserved.  
#                       
# The original developer of this software module and his/her company, the subsequent
# editors and their companies, have no liability for use of this
# software module or modifications thereof in an implementation.
#                       
# Permission to use, copy, and modify this software and its documentation on
# the server of the customer is hereby granted, provided that the above copyright
# notice, this paragraph and the following two paragraphs appear in all
# copies.               
#                       
# This software program and documentation are copyrighted by Portal Scripts. 
# The software program and documentation are supplied "as is", without any 
# accompanying services. Portal Scripts does not 
# warrant that the operation of the program will be
# uninterrupted or error-free.
#                       
# IN NO EVENT SHALL PORTAL SCRIPTS BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
# LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION.
#                       
######################  

use strict;
use vars qw(%CONFIG);

sub searchextract {

	my $searchurl = shift(@_);

	my ($html) = spider_url($searchurl);
	if($html =~ m#(<center>Search results for:.*</TABLE></CENTER>)#is){
		$html = $1 . "<HR>";
	}
	elsif($html =~ m#(<CENTER>.Search:.*</TABLE></CENTER>)#is){
		$html = $1 . "<HR>";		
	}
	elsif($html =~ m#(<center>.<B>Open Directory Advanced Search.*</TABLE></CENTER>)#is){
		$html = $1 . "<HR>";		
	}	
	elsif($html =~ m#(<P><CENTER><B>Please specify a query string.*</TABLE></CENTER>)#is){
		$html = $1 . "<HR>";		
	}	
	$html =~ s#width=15 height=16##igs;
	$html =~ s#<hr>##igs;

	$html =~ s#<FORM METHOD=GET ACTION="http://search.dmoz.org/cgi-bin/osearch">#<form method=get action="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}">#is;
	$html =~ s#<FORM METHOD=GET ACTION="search">#<form method=get action="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}">#is;
	$html =~ s#<FORM METHOD=GET ACTION="osearch">#<form method=get action="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}">#is;
	
	$html =~ s#<a href="/cgi\-bin/#<a href="http://search\.dmoz\.org/cgi\-bin/#igs;
	$html =~ s#<a href="search\?#<a href="http://search\.dmoz\.org/cgi\-bin/search\?#igs;
	$html =~ s#<a href="osearch\?#<a href="http://search\.dmoz\.org/cgi\-bin/osearch\?#igs;
#	$html =~ s#<a href="(http://(www\.|search\.)?dmoz\.org)#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?$1#igs;	
	$html =~ s#<a href="(http://search\.dmoz\.org)#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?$1#igs;	
	$html =~ s#<a href="(http://(www\.)?dmoz\.org)#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?#igs;	


	$html =~ s#/img/star.gif#$CONFIG{'COOL_PICTURE_URL'}#igs;
	$html =~ s#<A HREF="/searchguide.html">Help on Search</A>##is;

	unless($CONFIG{'MAIN_SUB_CATEGORY'} eq ""){
		my $temp = $CONFIG{'MAIN_SUB_CATEGORY'};
		$temp =~ s#/?[^/]*$##;
		$temp =~ s#/#: #g;
		$html =~ s#$temp: ([^<]*?(</b>)?</a>)#$1#gis;
	}

	return $html;
}

1;

