use strict;
use vars qw(%CONFIG %VARS %MODULES);

sub search_update {
	
	if($VARS{'PAGE_TYPE'} eq "search"){
		my $html = $MODULES{'SEARCH'};
		$html =~ s#</?b>##gis;
		$html =~ s# \&nbsp;  \-# \-#gis;
		$html =~ s#</ExternalPage>##gis;
		$html =~ s#Open Directory Categories.*?Open Directory Sites##gis;
		my @temp_list = $html =~ m#<li>(<a href="(.*?)">(.*?)</a>)(.*?)<br><small><i>\-\-#gis;
		
		my @list = ();
		
		for (1..(scalar(@temp_list)/4) ){
			push(@list, [shift(@temp_list), shift(@temp_list), shift(@temp_list), shift(@temp_list)]);
		}

		# module parcalarini olustur
		# catlist.txt'i oku
		# SEARCH_LISTINGS'i olustur ve replace et
		# template'i parse et.
		
		
		undef $/;
		open(FILE, "data/listinglist.txt");
		flock(FILE, 2);
		my $listing_template = <FILE>;
		flock(FILE, 8);
		close(FILE);
		$/ = "\n";	
	
		for my $list (@list){
			my $temp = $listing_template;
			if($list->[3] =~ m#<img[^>]*?>#is){
				$list->[3] =~ s#<img[^>]*?>##gis;
				$list->[0] .= qq! <img src="$CONFIG{'COOL_PICTURE_URL'}" alt="Cool"> !;			
			}
			$list->[3] =~ s#(\&nbsp;)?(\-)?##gis;
			$list->[2] =~ s#</?b>##isg;
			$list->[1] =~ s#^http://##i;
			my $short_url;
			if(length($list->[1]) > 50){
				$short_url = substr($list->[1], 0, 50) . "....";
			}
			else{
				$short_url = $list->[1];
			}
			$temp =~ s#\[LISTING\]#$list->[0]#sg;
			$temp =~ s#\[URL\]#$list->[1]#sg;
			$temp =~ s#\[SHORT_URL\]#$short_url#sg;
			$temp =~ s#\[TITLE\]#$list->[2]#sg;
			$temp =~ s#\[DESCRIPTION\]#$list->[3]#sg;
			$list = [$temp, $list->[0] ,$list->[1] , $list->[2], $list->[3]];
		}
	
		$MODULES{'SEARCH_LINKS'} = join( "\n", map{$_->[0]} @list );
		$MODULES{'SEARCH_LINKS'} =~ s#<a href="([^"]*?)"#<a href="$1" target="$CONFIG{'TARGET_FOR_LINKS'}"#igs;

	}
}

1;



