
######################  
# Copyright  2000 Portal Scripts.
# All Rights Reserved.  
#                       
# The original developer of this software module and his/her company, the subsequent
# editors and their companies, have no liability for use of this
# software module or modifications thereof in an implementation.
#                       
# Permission to use, copy, and modify this software and its documentation on
# the server of the customer is hereby granted, provided that the above copyright
# notice, this paragraph and the following two paragraphs appear in all
# copies.               
#                       
# This software program and documentation are copyrighted by Portal Scripts. 
# The software program and documentation are supplied "as is", without any 
# accompanying services. Portal Scripts does not 
# warrant that the operation of the program will be
# uninterrupted or error-free.
#                       
# IN NO EVENT SHALL PORTAL SCRIPTS BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
# LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION.
#                       
######################  

use strict;
use vars qw(%CONFIG);

sub dirextract {
	my $odpurl = shift(@_);
	
	my ($html) = spider_url($odpurl);
	my $html_source = $html;
	$html =~ s#<form method=get action="http://search\.dmoz\.org/cgi\-bin/search">#<form method=get action="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}">#is;
	$html =~ s#<a href="/#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?/#igs;
	$html =~ s#/img/star.gif#$CONFIG{'COOL_PICTURE_URL'}#igs;
	$html =~ s#width=15 height=16##igs;
	my @lines = split(/\n/,$html); 
	
	my $form = "";
	my $main = "";
	my $alphabar = "";
	my $cat_extra = "";
	my $cat1 = "";
	my $cat2 = "";
	my $related = "";
	my $listings = "";
	my $newsgroup = "";
	my $outsearch = "";
	my $editors = "";
	
	my $forminfo = 0;
	my $maininfo = 0;
	my $cat_extra_info = 0;
	my $catinfo = 0;
	my $relatedinfo = 0;
	my $listingsinfo = 0;
	my $newsgroupinfo = 0;
	my $outsearchinfo = 0;
	my $editorsinfo = 0;
	
	foreach my $line (@lines){
		if($line =~ m#<form method#i){
			$forminfo = 1;
		}
		elsif($line =~ m#</form>#i){
			$forminfo = 0;
		}
		
		if($line =~ m#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?/">Top</a>:#i){
			$maininfo = 1;
		}
		elsif($line =~ m#<hr>#i){
			$maininfo = 0;
		}
		
		if($line =~ m#<table cellpadding=0 cellspacing=0><tr>$#i){
			$cat_extra_info = 1;
		}
		elsif($line =~ m#</ul></td></tr></table>#i){
			$cat_extra_info+=10;
			if($cat_extra_info == 11){
				$catinfo--;
			}	
		}
		
		
		if($line =~ m#<table border=0>#i){
			$catinfo++;
		}
		elsif($line =~ m#</ul></td></tr></table>#i){
			$catinfo++;
		}
		
		if($line =~ m#<p>See also:<ul>#i){
			$relatedinfo++;
		}	
		elsif(  ($line =~ m#^</ul>$#i)  &&  ($relatedinfo == 1)  ){
			$relatedinfo *= 10;	
		}
		
		if($line =~ m#^<ul>$#i){
			$listingsinfo++;
		}	
		elsif($line =~ m#</ul><hr>#i){
			$listingsinfo *= 10;
		}	
		
		if($line =~ m#<table cellpadding=0 cellspacing=0><tr><td width="%" valign=top>#i){
			$newsgroupinfo++;
			$listingsinfo = 1000;
		}	
		elsif($line =~ m#^</ul>$#i  &&  ($newsgroupinfo == 1)  ){
			$newsgroupinfo *= 10;
		}
		
		if($line =~ m#<table width="95%" cellpadding=0 cellspacing=0>#i){
			$outsearchinfo++;
		}	
		elsif($line =~ m#^</small></td></tr>$#i){
			$outsearchinfo *= 10;
		}		
		
		if($line =~ m#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?/profiles/#i){
			$editorsinfo = 1;
		}
			
		if($forminfo == 1){
			$form .= "$line\n";
		}	
		
		if($maininfo == 1){
			$main .= "$line\n";		
		}
		
		if($cat_extra_info == 1){
			$cat_extra .= "$line\n";
		}	
		
		
		if($catinfo == 1){
			$cat1 .= "$line\n";
		}	
		elsif($catinfo == 3){
			$cat2 .= "$line\n";
		}	
		
		if($relatedinfo == 1){
			$related .= "$line\n";
		}
		
		if($listingsinfo == 1){
			$listings .= "$line\n";
		}	
		if($newsgroupinfo == 1){
			$newsgroup .= "$line\n";
		}	
		if($outsearchinfo == 1){
			$outsearch .= "$line\n";
		}
		if($editorsinfo == 1){
			$editors = "$line";
			$editorsinfo = 0;
		}
			
	}
	
	$form .= "</form>\n";
	if($cat1 ne ""){
		$cat1 .= "</ul></td></tr></table>\n";
	}
	if($cat2 ne ""){
		$cat2 .= "</ul></td></tr></table>\n";
	}
	if($cat_extra ne ""){
		$cat_extra .= "</ul></td></tr></table>\n";
	}
	if($related ne ""){
		$related .= "</ul>\n";
		$related =~ s#<p>See also:##is;
	}
	if($listings ne ""){
		$listings .= "</ul>\n";
	}
	if($newsgroup ne ""){
		$newsgroup .= "</ul></td></tr></table>\n";
	}
	if($outsearch ne ""){
		$outsearch .= "</small></td></tr></table>\n";
	}
	if($editors ne ""){
		$editors =~ s#(.*</a>).*?$#$1#i;
	}
	$main =~ s#<table bgcolor="\#f0f0f0" cellspacing=0 cellpadding=4 valign=top><tr><td align=center><b><a href="desc.html">[^<]+</a></b></td></tr><tr><td align=center><b><a href="faq.html">[^<]+</a></b></td></tr></table>##is;
	$main =~ s#<table bgcolor="\#f0f0f0" cellspacing=0 cellpadding=4 valign=top><tr><td align=center><b><a href="desc.html">[^<]+</a></b></td></tr><tr><td align=center></table>##is;

	$main =~ s#(<center>\s*?\[.*?\]\s*?</center>)##is;
	$alphabar = $1;
		
	$main =~ s#</?table[^>]*>##igs;
	$main =~ s#</?(td|tr)[^>]*>##gis;
	$main =~ s#</?font[^>]*>##igs;
	$main =~ s#</?b>##igs;
	$main =~ s#<a href="$CONFIG{'CGI_URL'}/$CONFIG{'SCRIPT_NAME'}\?/">Top</a>:#$CONFIG{'TOP_TEXT'}#s;
	$listings =~ s#<li>#<li><img src="$CONFIG{'LINK_IMAGE'}">#igs;
	$cat_extra =~ s#<li>#<li><IMG SRC="$CONFIG{'SMALL_FOLDER'}" BORDER="0" ALT="Category">#igs;
	$cat1 =~ s#<li>#<li><IMG SRC="$CONFIG{'SMALL_FOLDER'}" BORDER="0" ALT="Category">#igs;
	$cat2 =~ s#<li>#<li><IMG SRC="$CONFIG{'SMALL_FOLDER'}" BORDER="0" ALT="Category">#igs;
	return ($html_source, $form, $main, $alphabar, $cat_extra, $cat1, $cat2, $related, $listings, $newsgroup, $outsearch, $editors);

}

1;

